Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class TokenUtilities

    java.lang.Object
      oracle.ifs.core.util.TokenUtilities

    public class TokenUtilities

extends java.lang.Object

A TokenUtilities is a set of static utility convenience methods for performing operations on ApplicationTokens.

Method Summary
`static ApplicationToken` | `createApplicationToken(LibrarySession session, ApplicationTokenDefinition tokenDef)` Creates a new ApplicationToken from the specified definition.
`static void` | `deleteApplicationToken(LibrarySession session, java.lang.String tokenValue)` Deletes a new ApplicationToken matching the specified token value, if one exists.
`static ApplicationToken` | `findApplicationToken(LibrarySession session, java.lang.String tokenValue)` Finds a new ApplicationToken matching the specified token value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createApplicationToken

    public static ApplicationToken createApplicationToken(LibrarySession session,
                                                          ApplicationTokenDefinition tokenDef)
                                                   throws IfsException

  Description copied from class: `TokenUtilities`
  Creates a new ApplicationToken from the specified definition.

  Parameters:
    `session` - the session context
    `tokenDef` - the definition for the desired token
  Returns:
    the new ApplicationToken
  Throws:
    `IfsException` - 35400: if an object with the specified token value already exists
    other: if the operation fails

### findApplicationToken

    public static ApplicationToken findApplicationToken(LibrarySession session,
                                                        java.lang.String tokenValue)
                                                 throws IfsException

  Description copied from class: `TokenUtilities`
  Finds a new ApplicationToken matching the specified token value.

  Returns null if there is no matching ApplicationToken, or if that token has expired.

  Parameters:
    `session` - the session context
    `tokenValue` - the token value
  Returns:
    the ApplicationToken with the specified token value, or null if none exists.
  Throws:
    `IfsException` - if the operation fails

### deleteApplicationToken

    public static void deleteApplicationToken(LibrarySession session,
                                              java.lang.String tokenValue)
                                       throws IfsException

  Description copied from class: `TokenUtilities`
  Deletes a new ApplicationToken matching the specified token value, if one exists.

  No exception occurs if the specified token doesn not exist.

  Parameters:
    `session` - the session context
    `tokenValue` - the token value
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD